import { Injectable } from '@nestjs/common'
import { PrismaService } from 'nestjs-prisma'
import { Prisma } from '@prisma/client'

@Injectable()
export class UsersService {
  constructor(private prisma: PrismaService) {}

  async findUsers() {
    return this.prisma.user.findMany()
  }

  async getUserInfo(id: string) {
    return this.prisma.user.findUnique({
      where: {
        id,
      },
    })
  }

  async createUser(data: Prisma.UserCreateInput) {
    return this.prisma.user.create({
      data,
    })
  }
}
